[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Exclude Requires for some archs



On Tue, 11 Sep 2007 10:45:02 +0200, Till Maas wrote:

> Hiyas,
> 
> I want to use
> %ifnarch ppc ppc64
> Requires: vbetool
> %endif
> in a package, which should work according to maximum rpm[1] and was suggested 
> by Mamoru Tasaka. Nevertheless koji does not want to build[2] this for 
> ppc(64) because of a missing vbetool. Does someone spot the error in the 
> spec[3]?

ifnarch does not work with a set of archs (like ifarch does). Don't
read it like "if arch NOT in [ppc,ppc64]", but like "if arch NOT equal
to ppc" (a single value only!). So, in your spec, when the targetarch
is ppc, your %ifnarch holds true because ppc!=ppc64, and when the
targetarch is ppc64, it holds true because ppc64!=ppc.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]